## networking-odl 16.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.7.0 # Apache-2.0
doc8>=0.8.0 # Apache-2.0

=== networking_odl/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslotest>=3.3.0 # Apache-2.0
psutil>=1.1.1,<2.0.0
psycopg2
python-subunit>=1.2.0 # Apache-2.0/BSD
PyMySQL>=0.6.2  # MIT License
stestr>=2.0.0 # Apache-2.0

=== debian/changelog ===
networking-odl (1:16.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 16.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:53:09 -0400

=== debian/rules ===
#!/usr/bin/make -f

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	rm -rf $(CURDIR)/debian/python*-networking-odl/usr/etc
	dh_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-networking-odl-doc/usr/share/doc/python-networking-odl-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build .stestr

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-odl networking-odl-(16\.\d.*)\.tar\.gz

## networking-odl 17.0.0

=== debian/changelog ===
networking-odl (1:17.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:16:49 -0400

networking-odl (1:17.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 17.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:32:26 -0400

networking-odl (1:17.0.0~b3~git2020091516.7174801ff-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/workaround-mock-is-started.patch: Dropped. Fixed in new upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 16:18:13 -0400

networking-odl (1:17.0.0~b2~git2020073014.52a6f383f-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper-compat 12 and add PYBUILD_NAME.
  * d/control, d/copyright: Update Standards-Version to 4.5.0 and update upstream
    URLs.
  * d/p/workaround-mock-is-started.patch, d/control: Cherry-pick patch from upstream
    gerrit review and ensure use of latest python3-neutron Victoria version,
    required for successful test execution (LP: #1886589).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 14:58:46 -0400

networking-odl (1:16.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 16.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:53:09 -0400

=== debian/control ===
Source: networking-odl
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.5.3),
 python3-bandit (>= 1.4.0),
 python3-bashate (>= 0.5.1),
 python3-ceilometer (>= 1:11.0.0),
 python3-coverage (>= 4.5.1),
 python3-debtcollector (>= 1.19.0),
 python3-doc8 (>= 0.8.0),
 python3-hacking,
 python3-isort (>= 4.3.21),
 python3-networking-bgpvpn (>= 10.0.0~),
 python3-networking-l2gw (>= 1:12.0.0),
 python3-networking-sfc (>= 10.0.0~),
 python3-neutron (>= 2:17.0.0~git2020073015.17324fe1cf-0ubuntu1~),
 python3-neutron-fwaas,
 python3-neutron-lib (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pecan (>= 1.3.2),
 python3-sphinx-feature-classification (>= 1.0.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.28.0),
 python3-subunit (>= 1.2.0),
 python3-testresources (>= 2.0.1),
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
 python3-websocket (>= 0.47.0),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-odl
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-odl
Homepage: https://opendev.org/openstack/networking-odl

Package: networking-odl-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-networking-odl (<< 1:13.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-odl (<< 1:13.0.0~b2-0ubuntu2~),
Description: OpenStack Networking OpenDayLight ML2 mechanism driver
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files for the OpenDayLight
 mechanism driver for Neutron.

Package: python-networking-odl-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Networking OpenDayLight ML2 mechanism driver - doc
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package contains the documentation for the OpenDayLight
 mechanism driver for Neutron.

Package: python3-networking-odl
Architecture: all
Depends:
 networking-odl-common (= ${binary:Version}),
 python3-babel (>= 2.5.3),
 python3-debtcollector (>= 1.19.0),
 python3-networking-bgpvpn (>= 10.0.0~),
 python3-networking-l2gw (>= 1:12.0.0),
 python3-networking-sfc (>= 10.0.0~),
 python3-neutron (>= 2:17.0.0~git2020073015.17324fe1cf-0ubuntu1~),
 python3-neutron-lib (>= 2.0.0),
 python3-pbr (>= 4.0.0),
 python3-stevedore (>= 1:1.28.0),
 python3-websocket (>= 0.47.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-odl-doc,
Description: OpenStack Networking OpenDayLight ML2 mechanism driver
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module for the OpenDayLight
 mechanism driver for Neutron.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-odl networking-odl-(17\.\d.*)\.tar\.gz

## networking-odl 18.0.0

=== debian/changelog ===
networking-odl (1:18.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:53:18 +0000

networking-odl (1:18.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 18.x series and fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 10:56:56 -0400

networking-odl (1:17.0.0+git2021012911.94edf39f3-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 11:29:56 -0500

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-babel (>= 2.5.3),
  python3-bandit (>= 1.4.0),
  python3-bashate (>= 0.5.1),
- python3-ceilometer (>= 1:11.0.0),
+ python3-ceilometer (>= 2:11.0.0),
  python3-coverage (>= 4.5.1),
  python3-debtcollector (>= 1.19.0),
  python3-doc8 (>= 0.8.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-odl/ networking-odl-(18\.\d.*)\.tar\.gz

## networking-odl 19.0.0

=== debian/changelog ===
networking-odl (1:19.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 19.x series and fix tarball path.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 10:58:57 -0400

networking-odl (1:18.0.0+git2021090912.40ca37f63-0ubuntu2) impish; urgency=medium

  * d/control: Remove python3-neutron-fwaas build dependency as it is no
    longer maintained (LP: #1891238).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Sep 2021 13:17:37 -0400

networking-odl (1:18.0.0+git2021090912.40ca37f63-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:43:45 -0400

networking-odl (1:18.0.0+git2021061112.a413efcbf-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:53 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-odl/ networking-odl-(19\.\d.*)\.tar\.gz

## networking-odl 20.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=4.0.0 # Apache-2.0
Babel>=2.5.3 # BSD
stevedore>=1.28.0 # Apache-2.0
debtcollector>=1.19.0 # Apache-2.0
neutron-lib>=2.0.0 # Apache-2.0
websocket-client>=0.47.0 # LGPLv2+

# OpenStack CI will install the following projects from git
# if they are in the required-projects list for a job:
neutron>=16.0.0.0b1 # Apache-2.0
networking-l2gw>=12.0.0  # Apache-2.0
networking-sfc>=10.0.0.0b1  # Apache-2.0
networking-bgpvpn>=10.0.0b1  # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
sphinx_feature_classification>=1.0.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
doc8>=0.8.0 # Apache-2.0

=== networking_odl/tests/functional/requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # process, which may cause wedges in the gate later.
 
 oslotest>=3.3.0 # Apache-2.0
-psutil>=1.1.1,<2.0.0
+psutil>5.4.3
 psycopg2
 python-subunit>=1.2.0 # Apache-2.0/BSD
 PyMySQL>=0.6.2  # MIT License

=== debian/changelog ===
networking-odl (1:20.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 20.x series and fix tarball path.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:28:08 -0400

networking-odl (1:19.0.0+git2022030314.b57cfa8b4-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 14:10:37 -0500

networking-odl (1:19.0.0+git2021120909.b6753dea5-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 09:39:02 -0500

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
  python3-networking-l2gw (>= 1:12.0.0),
  python3-networking-sfc (>= 10.0.0~),
  python3-neutron (>= 2:17.0.0~git2020073015.17324fe1cf-0ubuntu1~),
- python3-neutron-fwaas,
  python3-neutron-lib (>= 2.0.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-testr (>= 1.0.0),

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
 VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
 export PBR_VERSION=$(VERSION)
+
+export PYBUILD_NAME=networking_odl
 
 include /usr/share/openstack-pkg-tools/pkgos.make

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-odl/ networking-odl-(20\.\d.*)\.tar\.gz

## networking-odl 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== networking_odl/tests/functional/requirements.txt ===
--- 
+++ 
@@ -11,3 +11,6 @@
 PyMySQL>=0.6.2  # MIT License
 stestr>=2.0.0 # Apache-2.0
 
+# This is necessary as pecan dropped this dependency
+# see https://review.opendev.org/c/openstack/neutron/+/848706
+WebTest>=2.0.27 # MIT

=== debian/changelog ===
networking-odl (1:21.0.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 06 Oct 2022 22:22:25 +0000

networking-odl (1:21.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 21.x series and fix tarball path.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 17:04:13 -0400

networking-odl (1:20.0.0+git2022091215.14370e0ca-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 15:22:11 -0400

networking-odl (1:20.0.0+git2022071815.6d4c8ef33-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:27:19 -0400

networking-odl (1:20.0.0+git2022060609.6d4c8ef33-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 09:46:05 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-odl/ networking-odl-(21\.\d.*)\.tar\.gz

## networking-odl 22.0.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 openstackdocstheme>=2.2.1 # Apache-2.0
 reno>=3.1.0 # Apache-2.0
 doc8>=0.8.0 # Apache-2.0
+oslo.config>=9.0.0 # Apache-2.0

=== debian/changelog ===
networking-odl (1:22.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:01:52 -0400

networking-odl (1:22.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 07:55:27 -0500

networking-odl (1:21.0.0+git2023011010.2e2588c4-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:15:05 -0500

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  python3-all,
  python3-pbr (>= 4.0.0),
  python3-setuptools,
@@ -24,25 +24,26 @@
  python3-doc8 (>= 0.8.0),
  python3-hacking,
  python3-isort (>= 4.3.21),
- python3-networking-bgpvpn (>= 10.0.0~),
+ python3-networking-bgpvpn (>= 10.0.0),
  python3-networking-l2gw (>= 1:12.0.0),
- python3-networking-sfc (>= 10.0.0~),
+ python3-networking-sfc (>= 10.0.0),
  python3-neutron (>= 2:17.0.0~git2020073015.17324fe1cf-0ubuntu1~),
  python3-neutron-lib (>= 2.0.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-testr (>= 1.0.0),
- python3-oslotest (>= 1:3.3.0),
- python3-pecan (>= 1.3.2),
+ python3-oslo.config (>= 1:9.0.0),
+ python3-oslotest (>= 1:4.4.1),
+ python3-pecan (>= 1.3.3),
  python3-sphinx-feature-classification (>= 1.0.0),
- python3-stestr (>= 2.0.0),
+ python3-stestr (>= 3.1.0),
  python3-stevedore (>= 1:1.28.0),
- python3-subunit (>= 1.2.0),
+ python3-subunit (>= 1.4.0),
  python3-testresources (>= 2.0.1),
  python3-testscenarios (>= 0.5.0),
- python3-testtools (>= 2.3.0),
+ python3-testtools (>= 2.4.0),
  python3-websocket (>= 0.47.0),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-odl
+ python3-webtest (>= 2.0.27),
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-odl
 Homepage: https://opendev.org/openstack/networking-odl
 
@@ -92,9 +93,9 @@
  networking-odl-common (= ${binary:Version}),
  python3-babel (>= 2.5.3),
  python3-debtcollector (>= 1.19.0),
- python3-networking-bgpvpn (>= 10.0.0~),
+ python3-networking-bgpvpn (>= 10.0.0),
  python3-networking-l2gw (>= 1:12.0.0),
- python3-networking-sfc (>= 10.0.0~),
+ python3-networking-sfc (>= 10.0.0),
  python3-neutron (>= 2:17.0.0~git2020073015.17324fe1cf-0ubuntu1~),
  python3-neutron-lib (>= 2.0.0),
  python3-pbr (>= 4.0.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-odl/ networking-odl-(\d.*)\.tar\.gz

## networking-odl 2015.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3
-e git://git.openstack.org/openstack/neutron.git#egg=neutron

=== debian/changelog ===
networking-odl (2015.1.1-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New package for the Ubuntu Cloud Archive (SDN enablement).

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jul 2015 15:16:47 +0100

=== debian/control ===
Source: networking-odl
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-hacking (>= 0.10.0),
                     python-neutron (>= 1:2015.1.0),
                     python-neutron-fwaas (>= 2015.1.0),
                     python-neutron-lbaas (>= 1:2015.1.0),
                     python-oslosphinx,
                     python-oslotest (>= 1.2.0),
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.36),
                     python-webtest (>= 2.0),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/networking-odl.git
Vcs-Git: git://anonscm.debian.org/openstack/networking-odl.git
Homepage: https://github.com/stackforge/networking-odl

Package: python-networking-odl
Architecture: all
Depends: python-neutron (>= 1:2015.1.0), ${misc:Depends}, ${python:Depends}
Suggests: python-networking-odl-doc
Description: OpenStack Networking OpenDayLight ML2 mechanism driver
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the OpenDayLight mechanism driver for Neutron.

Package: python-networking-odl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack logging configuration library - doc
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package contains the documentation for the OpenDayLight
 mechanism driver for Neutron.
